Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.c13n
Class LocaleUtility

    java.lang.Object
      portlets.compoze.groupware.c13n.LocaleUtility

All Implemented Interfaces:
  java.io.Serializable

public class LocaleUtility
extends java.lang.Object
implements java.io.Serializable

This class provides utility classes for locales.

See Also:
  Serialized Form

Constructor Summary
`LocaleUtility()`

Method Summary
`static java.util.Locale` | `getByLocaleString(java.lang.String sDisplayName)` Get a locale by its display name.
`static java.util.Locale` | `getDefaultLocale()` Get the default locale.
`static java.util.Locale[]` | `getSupportedLocales()` Gets a list of supported locales.
`static java.util.List` | `getSupportedLocalesList()` Gets a list of supported locales.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocaleUtility

    public LocaleUtility()

Method Detail

### getSupportedLocales

    public static java.util.Locale[] getSupportedLocales()

  Gets a list of supported locales.

  Returns:
    an array of supported locales or an empty array for none

### getSupportedLocalesList

    public static java.util.List getSupportedLocalesList()

  Gets a list of supported locales.

  Returns:
    a list of supported `java.util.Locale` objects (unmodifiable)

### getByLocaleString

    public static java.util.Locale getByLocaleString(java.lang.String sDisplayName)

  Get a locale by its display name.

  Parameters:
    `sDisplayName` - the display name of the locale to search for
  Returns:
    the locale, or null if it is not found

### getDefaultLocale

    public static java.util.Locale getDefaultLocale()

  Get the default locale.

  Returns:
    the default locale if supported, one of the supported locales otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.